compat: backport SDIO_CLASS_BT_AMP
[~emulex/for-vlad/old/compat.git] / include / linux / compat-2.6.37.h
1 #ifndef LINUX_26_37_COMPAT_H
2 #define LINUX_26_37_COMPAT_H
3
4 #include <linux/version.h>
5
6 #if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,37))
7
8 /*
9  * This is not part of The 2.6.37 kernel yet but we
10  * we use it to optimize the backport code we
11  * need to implement. Instead of using ifdefs
12  * to check what version of the check we use
13  * we just replace all checks on current code
14  * with this. I'll submit this upstream too, that
15  * way all we'd have to do is to implement this
16  * for older kernels, then we would not have to
17  * edit the upstrema code for backport efforts.
18  */
19 #if (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,36))
20 #define br_port_exists(dev)     (dev->priv_flags & IFF_BRIDGE_PORT)
21 #else
22 #define br_port_exists(dev)     (dev->br_port)
23 #endif
24
25 #define SDIO_CLASS_BT_AMP       0x09    /* Type-A Bluetooth AMP interface */
26
27 #endif /* (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,37)) */
28
29 #endif /* LINUX_26_37_COMPAT_H */